#include<bits/stdc++.h>
using namespace std;
int n,a[250010],b[250010],l[250010],r[250010],T,Q,sum[250010];
int m1(int x,int y)
{
	int Max1=-1;
	for(int i=x;i<=y;i++)
	{
		if(a[i]>Max1) Max1=a[i];
	}
	return Max1;
}
int m2(int x,int y)
{
	int Max2=-1;
	for(int i=x;i<=y;i++)
	{
		if(b[i]>Max2) Max2=b[i];
	}
	return Max2;
}
int main(){
	freopen("match.in","r",stdin);
	freopen("match.out","w",stdout);
	cin>>T>>n;
	for(int i=1;i<=n;i++) cin>>a[i];
	for(int i=1;i<=n;i++) cin>>b[i];
	cin>>Q;
	for(int i=1;i<=Q;i++) cin>>l[i]>>r[i];
	for(int k=1;k<=Q;k++)
	{
		for(int i=1;i<=l[k]+1;i++)
		{
			for(int j=i;j<=r[k];j++)
			{
				sum[k]+=m1(i,j)*m2(i,j);
			}
		}
	}
	for(int i=1;i<=Q;i++)
	{
		cout<<sum[i];
		if(i==Q) break;
		if(i!=1) cout<<"\n"; 
	}
	return 0;
}
